Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Class ScrollBarProperties

    java.lang.Object
      echopointng.able.ScrollBarProperties

All Implemented Interfaces:
  java.io.Serializable

    public class ScrollBarProperties

extends java.lang.Object
implements java.io.Serializable

`ScrollBarProperties` is used to contain colors for scroll bars. Not that setting the scrollbar colors may not work an all client agents.

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

The gutter is the space between the track and the bottom and right edges of the scroll box and scroll arrows of the scroll bar. The scrollbar darkShadowColor appears outside the scrollbar shadowColor. The track is the element of a scroll bar on which the scroll box can slide either up and down or left and right.

The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

See Also:
  Serialized Form

Constructor Summary
`ScrollBarProperties()` Constructs a `ScrollBarProperties`
`ScrollBarProperties(Color baseColor)` Constructs a `ScrollBarProperties` with the specified base color.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Adds a property change listener.
`Color` | `getArrowColor()`
`Color` | `getBaseColor()`
`Color` | `getDarkShadowColor()`
`Color` | `getFaceColor()`
`Color` | `getHilightColor()`
`Color` | `getShadowColor()`
`Color` | `getThreeDLightColor()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Removes a property change listener.
`void` | `setArrowColor(Color newValue)` Sets the color of the arrow elements of a scroll arrow.
`void` | `setBaseColor(Color newValue)` Sets the color of the main elements of a scroll bar, which include the scroll box, track, and scroll arrows.
`void` | `setDarkShadowColor(Color newValue)` Sets the color of the gutter of a scroll bar.
`void` | `setFaceColor(Color newValue)` Sets the color of the scroll box and scroll arrows of a scroll bar.
`void` | `setHilightColor(Color newValue)` Sets the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.
`void` | `setShadowColor(Color newValue)` Sets the color of the bottom and right edges of the scroll box and scroll arrows of a scroll bar.
`void` | `setThreeDLightColor(Color newValue)` Sets the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollBarProperties

    public ScrollBarProperties()

  Constructs a `ScrollBarProperties`

### ScrollBarProperties

    public ScrollBarProperties(Color baseColor)

  Constructs a `ScrollBarProperties` with the specified base color.

  Parameters:
    `baseColor` - - the base color to use

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Adds a property change listener.

  Parameters:
    `l` - The listener to add.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Removes a property change listener.

  Parameters:
    `l` - The listener to remove.

### getArrowColor

    public Color getArrowColor()

  Returns:
    the color of the arrow elements of a scroll arrow.

### setArrowColor

    public void setArrowColor(Color newValue)

  Sets the color of the arrow elements of a scroll arrow.

  Parameters:
    `newValue` - - The newValue to set.

### getBaseColor

    public Color getBaseColor()

  Returns:
    the color of the main elements of a scroll bar, which include the scroll box, track, and scroll arrows.

### setBaseColor

    public void setBaseColor(Color newValue)

  Sets the color of the main elements of a scroll bar, which include the scroll box, track, and scroll arrows. This can be set in isolation to quickly set the main colors of the scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

### getDarkShadowColor

    public Color getDarkShadowColor()

  Returns:
    the color of the gutter of a scroll bar.

### setDarkShadowColor

    public void setDarkShadowColor(Color newValue)

  Sets the color of the gutter of a scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

### getFaceColor

    public Color getFaceColor()

  Returns:
    the color of the scroll box and scroll arrows of a scroll bar.

### setFaceColor

    public void setFaceColor(Color newValue)

  Sets the color of the scroll box and scroll arrows of a scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

### getHilightColor

    public Color getHilightColor()

  Returns:
    the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

### setHilightColor

    public void setHilightColor(Color newValue)

  Sets the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

### getShadowColor

    public Color getShadowColor()

  Returns:
    the color of the bottom and right edges of the scroll box and scroll arrows of a scroll bar.

### setShadowColor

    public void setShadowColor(Color newValue)

  Sets the color of the bottom and right edges of the scroll box and scroll arrows of a scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

### getThreeDLightColor

    public Color getThreeDLightColor()

  Returns:
    the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

### setThreeDLightColor

    public void setThreeDLightColor(Color newValue)

  Sets the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

  Parameters:
    `newValue` - - The newValue to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD